Package com.usatiuk.dhfs.repository

# Interface GetObjectReplyOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `GetObjectReply`, `GetObjectReply.Builder`

public interface GetObjectReplyOrBuilder extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`ObjectChangelog`
`getChangelog()`
`.dhfs.persistence.ObjectChangelog changelog = 5;`
`ObjectChangelogOrBuilder`
`getChangelogOrBuilder()`
`.dhfs.persistence.ObjectChangelog changelog = 5;`
`JDataRemoteDtoP`
`getPushedData()`
`.dhfs.persistence.JDataRemoteDtoP pushedData = 6;`
`JDataRemoteDtoPOrBuilder`
`getPushedDataOrBuilder()`
`.dhfs.persistence.JDataRemoteDtoP pushedData = 6;`
`boolean`
`hasChangelog()`
`.dhfs.persistence.ObjectChangelog changelog = 5;`
`boolean`
`hasPushedData()`
`.dhfs.persistence.JDataRemoteDtoP pushedData = 6;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### hasChangelog

boolean hasChangelog()
`.dhfs.persistence.ObjectChangelog changelog = 5;`

Returns:
  Whether the changelog field is set.

### getChangelog

ObjectChangelog getChangelog()
`.dhfs.persistence.ObjectChangelog changelog = 5;`

Returns:
  The changelog.

### getChangelogOrBuilder

ObjectChangelogOrBuilder getChangelogOrBuilder()
`.dhfs.persistence.ObjectChangelog changelog = 5;`

### hasPushedData

boolean hasPushedData()
`.dhfs.persistence.JDataRemoteDtoP pushedData = 6;`

Returns:
  Whether the pushedData field is set.

### getPushedData

JDataRemoteDtoP getPushedData()
`.dhfs.persistence.JDataRemoteDtoP pushedData = 6;`

Returns:
  The pushedData.

### getPushedDataOrBuilder

JDataRemoteDtoPOrBuilder getPushedDataOrBuilder()
`.dhfs.persistence.JDataRemoteDtoP pushedData = 6;`